Package: java.io

## Class ObjectInputStream

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `void` | `eachObject(Closure closure)` Iterates through the given object stream object by object.

  - #### Methods inherited from class java.io.InputStream

    `eachByte`, `eachByte`, `eachLine`, `eachLine`, `eachLine`, `eachLine`, `filterLine`, `filterLine`, `filterLine`, `filterLine`, `getBytes`, `getText`, `getText`, `iterator`, `newObjectInputStream`, `newObjectInputStream`, `newReader`, `newReader`, `readLines`, `readLines`, `splitEachLine`, `splitEachLine`, `splitEachLine`, `splitEachLine`, `withObjectInputStream`, `withObjectInputStream`, `withReader`, `withReader`

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public void eachObject(Closure closure)

      Iterates through the given object stream object by object. The ObjectInputStream is closed afterwards.

      Parameters:
        `closure` - a closure
      Since:
        1.0